"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internals_1 = require("../internals");
function forEach(fn, map) {
    var it = internals_1.iterate(map);
    var current;
    var index = 0;
    while (!(current = it.next()).done) {
        var entry = current.value;
        var signal = fn(entry.value, entry.key, index++);
        if (signal === false)
            break;
    }
    return map;
}
exports.forEach = forEach;
;

//# sourceMappingURL=forEach.js.map
