"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function thaw(map) {
    return core_1.isMutable(map._owner) ? map : internals_1.cloneAsMutable(map);
}
exports.thaw = thaw;
function isThawed(map) {
    return core_1.isMutable(map._owner);
}
exports.isThawed = isThawed;

//# sourceMappingURL=thaw.js.map
