import { curry2, curry3 } from '@typed/curry';
import { set as _set, filter as _filter, map as _map, reduce as _reduce, forEach as _forEach, has as _has, intersect as _intersect, isEqual as _isEqual, remove as _remove, subtract as _subtract, union as _union, unwrap as _unwrap, update as _update } from './functions';
export { clone, empty, isSortedMap, freeze, isFrozen, fromArray, fromIterable, size, isEmpty, thaw, isThawed, toArray, } from './functions';
export const set = curry3(_set);
export const filter = curry2(_filter);
export const forEach = curry2(_forEach);
export const has = curry2(_has);
export const intersect = curry2(_intersect);
export const isEqual = curry2(_isEqual);
export const map = curry2(_map);
export const reduce = curry3(_reduce);
export const remove = curry2(_remove);
export const subtract = curry2(_subtract);
export const union = curry2(_union);
export const unwrap = curry2(_unwrap);
export const update = curry2(_update);

//# sourceMappingURL=curried.js.map
