import { iterate } from '../internals';
export function reduce(fn, seed, map) {
    var it = iterate(map);
    var current;
    var index = 0;
    while (!(current = it.next()).done) {
        var entry = current.value;
        seed = fn(seed, entry.value, entry.key, index++);
    }
    return seed;
}

//# sourceMappingURL=reduce.js.map
