import { isImmutable } from '@collectable/core';
import { refreeze, cloneAsMutable, unsetItem } from '../internals';
export function remove(key, map) {
    var nextSet = map;
    var immutable = isImmutable(map._owner) && (nextSet = cloneAsMutable(map), true);
    return unsetItem(key, nextSet._keyMap, nextSet._sortedValues)
        ? immutable ? refreeze(nextSet) : nextSet
        : map;
}

//# sourceMappingURL=remove.js.map
