"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function freeze(map) {
    return core_1.isImmutable(map._owner) ? map : internals_1.cloneAsImmutable(map);
}
exports.freeze = freeze;
function isFrozen(map) {
    return core_1.isImmutable(map._owner);
}
exports.isFrozen = isFrozen;

//# sourceMappingURL=freeze.js.map
