"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internals_1 = require("../internals");
function reduce(fn, seed, map) {
    var it = internals_1.iterate(map);
    var current;
    var index = 0;
    while (!(current = it.next()).done) {
        var entry = current.value;
        seed = fn(seed, entry.value, entry.key, index++);
    }
    return seed;
}
exports.reduce = reduce;

//# sourceMappingURL=reduce.js.map
