import { Collection, ComparatorFn, KeyedSelectorFn } from '@collectable/core';
import { SortedMap, SortedMapEntry } from '../internals';
export declare function empty<K, V>(compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMap<K, V>;
export declare function empty<K, V, U>(compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<K, V, U>): SortedMap<K, V>;
export declare function isSortedMap<K, V>(arg: Collection<any> | Iterable<any>): arg is SortedMap<K, V>;
