import { KeyedSelectorFn } from '@collectable/core';
import { KeyMap, SortedValues } from './types';
export declare function setItem<K, V, U>(key: K, value: V, keyMap: KeyMap<K, V, U>, sortedValues: SortedValues<K, V, U>, select: KeyedSelectorFn<K, V, U> | undefined): boolean;
export declare function unsetItem<K, V, U>(key: K, keyMap: KeyMap<K, V, U>, sortedValues: SortedValues<K, V, U>): boolean;
